<?php



// theme options

class lonelytreeOptions {

	function getOptions() {

		$options = get_option('lonelytree_options');

		if (!is_array($options)) {

			$options['logoimage'] = false; 

			$options['widescreen'] = false; 



			update_option('lonelytree_options', $options);

		}

		return $options;

	}



	function add() {

		if(isset($_POST['lonelytree_save'])) {

			$options = lonelytreeOptions::getOptions();



			// logo image

			if ($_POST['logoimage']) {	$options['logoimage'] = (bool)true;	} else { $options['logoimage'] = (bool)false; }

			$options['logoimage'] = stripslashes($_POST['logoimage']);

			

			// Wide screen

			if ($_POST['logoimage']) {	$options['widescreen'] = (bool)true;	} else { $options['widescreen'] = (bool)false; }

			$options['widescreen'] = stripslashes($_POST['widescreen']);



			update_option('lonelytree_options', $options);



		} else {

			lonelytreeOptions::getOptions();

		}



		add_theme_page(__("lonelytree Theme Options","lonelytree"), __("lonelytree Theme Options","lonelytree"), 'edit_themes', basename(__FILE__), array('lonelytreeOptions', 'display'));

	}



   function display() {

   $options = lonelytreeOptions::getOptions();

    ?>

      <form action="#" method="post" enctype="multipart/form-data" name="lonelytree_form" id="lonelytree_form">

      <div class="wrap">

            <h2><?php _e('lonelytree Theme Options','lonelytree'); ?></h2>

            <p>

            <input name="logoimage" type="checkbox" value="checkbox" <?php if($options['logoimage']) echo "checked='checked'"; ?> />

            <?php _e('Use custom logo image','lonelytree'); ?><br /><em> <?php _e('Upload your logo as "logo.png" in the theme directory:','lonelytree'); echo ' <strong>'; bloginfo('template_url'); echo '/images/</strong>.<br />'; _e('You should export the logo image with transparency enabled. Logo should be 250 x 84','lonelytree'); ?></em>

            </p>

            <br />

            <p>

            <input name="widescreen" type="checkbox" value="checkbox" <?php if($options['widescreen']) echo "checked='checked'"; ?> />

            <?php _e('Wide Screen Option','lonelytree'); ?><br /><em> <?php _e('Please Choose if you would like wide layout','lonelytree'); ?></em>

            </p>

            <br clear="left" />

            <p class="submit">

            <input class="button-primary" type="submit" name="lonelytree_save" value="<?php _e('Save Changes','lonelytree'); ?>" />

            </p>

      </div>

      </form>

   <?php

  }

}



// register functions

add_action('admin_menu', array('lonelytreeOptions', 'add'));



 ?>